/*
 *
 *  Licensed to the Apache Software Foundation (ASF) under one or more
 *  contributor license agreements.  See the NOTICE file distributed with
 *  this work for additional information regarding copyright ownership.
 *  The ASF licenses this file to You under the Apache License, Version 2.0
 *  (the "License"); you may not use this file except in compliance with
 *  the License.  You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 *
 */


package com.dlink.service;

import com.dlink.cluster.FlinkClusterInfo;
import com.dlink.db.service.ISuperService;
import com.dlink.model.Cluster;

import java.util.List;

/**
 * ClusterService
 *
 * @author wenmo
 * @since 2021/5/28 14:01
 **/
public interface ClusterService extends ISuperService<Cluster> {

    FlinkClusterInfo checkHeartBeat(String hosts, String host);

    String getJobManagerAddress(Cluster cluster);

    String buildEnvironmentAddress(boolean useRemote, Integer id);

    String buildRemoteEnvironmentAddress(Integer id);

    String buildLocalEnvironmentAddress();

    List<Cluster> listEnabledAll();

    List<Cluster> listSessionEnable();

    List<Cluster> listAutoEnable();

    Cluster registersCluster(Cluster cluster);

    boolean enableCluster(Cluster cluster);

    int clearCluster();
}
