---
sidebar_position: 3
id: indicators_list
title: 监控指标一览
---

通过查阅监控指标一览，您可以了解到监控指标中每个指标的指标含义。这有助于您更好的使用 Dinky 的监控功能。

:::info 信息

您可以在运维中心查看以下指标，同时也可以 [修改作业状态](./job_instance_status#修改作业状态)

:::

## 作业总览

| 指标名称 |      指标含义       |
| :------: |:---------------:|
| 作业状态 | Flink 的 Task 状态 |
| 重启次数 |       未实现       |
|   耗时   |   Flink 作业总耗时   |
| 启动时间 |    作业实例启动时间     |
| 更新时间 |    作业实例更新时间     |
| 完成时间 |    作业实例完成时间     |


| 指标名称 |       指标含义       |
| :------: |:----------------:|
|   名称   |  Flink Task 名称   |
|   状态   |     Task 状态      |
| 接收字节 | 从上游 Task 接收的字节数  |
| 接收记录 | 从上游 Task 接收的记录数  |
| 发送字节 |  发给下游 Task 的字节数  |
| 发送记录 |  发给下游 Task 的记录数  |
|  并行度  |     Task 并行读     |
| 开始时间 |    Task 开始时间     |
| 结束时间 |    Task 完成时间     |
|   算子   | Task 具体的算子各状态的数量 |

:::tip 说明

如果作业只有一个 Task 时，接收字节、接收记录、发送字节、发送记录是均无法从上下游 Task 获取相关 Metrics 统计信息，所以显示为 0。
如果非要查看具体的 Metrics，可以通过 Flink 配置更改 chain 策略。

:::

## 配置信息

|        指标名称         |         指标含义          |
|:-------------------:|:---------------------:|
|        执行模式         |        作业的执行模式        |
|        集群实例         |     手动或自动注册的集群实例      |
|        集群配置         |       手动注册的集群配置       |
|        共享会话         |    是否开启共享会话及其 Key     |
|        片段机制         |       是否开启全局变量        |
|         语句集         |    是否开启 Insert 语句集    |
|        任务类型         | FlinkSQL、FlinkJar、SQL |
|         批模式         |    是否开启 batch mode    |
|    SavePoint 机制     |    最近一次、最早一次、指定一次     |
|      SavePoint      | SavePoint 机制对应的 Path  |
| Flink Configuration |    自定义的其他 Flink 配置    |

