---
sidebar_position: 7
id: operators_functions
title: 运算符和内置函数
---

FlinkSQL 支持丰富的运算符合内置函数，包括比较函数、聚合函数等。目前 Flink 每个版本可能有差异。按照所使用的版本查找相应的函数。

|    函数功能     |                             版本                             |
| :-------------: | :----------------------------------------------------------: |
|    比较函数     | [Flink1.11](https://nightlies.apache.org/flink/flink-docs-release-1.11/dev/table/functions/systemFunctions.html#comparison-functions)<br/> [Flink1.12](https://nightlies.apache.org/flink/flink-docs-release-1.12/dev/table/functions/systemFunctions.html#comparison-functions)<br/> [Flink1.13](https://nightlies.apache.org/flink/flink-docs-release-1.13/docs/dev/table/functions/systemfunctions/#comparison-functions)<br/> [Flink1.14](https://nightlies.apache.org/flink/flink-docs-release-1.14/docs/dev/table/functions/systemfunctions/#comparison-functions)<br/>[Flink1.15](https://nightlies.apache.org/flink/flink-docs-release-1.15/docs/dev/table/functions/systemfunctions/#comparison-functions) |
|    逻辑函数     | [Flink1.11](https://nightlies.apache.org/flink/flink-docs-release-1.11/dev/table/functions/systemFunctions.html#logical-functions)<br/> [Flink1.12](https://nightlies.apache.org/flink/flink-docs-release-1.12/dev/table/functions/systemFunctions.html#logical-functions)<br/> [Flink1.13](https://nightlies.apache.org/flink/flink-docs-release-1.13/docs/dev/table/functions/systemfunctions/#logical-functions)<br/> [Flink1.14](https://nightlies.apache.org/flink/flink-docs-release-1.14/docs/dev/table/functions/systemfunctions/#logical-functions)<br/> [Flink1.15](https://nightlies.apache.org/flink/flink-docs-release-1.15/docs/dev/table/functions/systemfunctions/#logical-functions) |
|    算术函数     | [Flink1.11](https://nightlies.apache.org/flink/flink-docs-release-1.11/dev/table/functions/systemFunctions.html#arithmetic-functions)<br/> [Flink1.12](https://nightlies.apache.org/flink/flink-docs-release-1.12/dev/table/functions/systemFunctions.html#arithmetic-functions)<br/> [Flink1.13](https://nightlies.apache.org/flink/flink-docs-release-1.13/docs/dev/table/functions/systemfunctions/#arithmetic-functions)<br/> [Flink1.14](https://nightlies.apache.org/flink/flink-docs-release-1.14/docs/dev/table/functions/systemfunctions/#arithmetic-functions)<br/> [Flink1.15](https://nightlies.apache.org/flink/flink-docs-release-1.15/docs/dev/table/functions/systemfunctions/#arithmetic-functions) |
|   字符串函数    | [Flink1.11](https://nightlies.apache.org/flink/flink-docs-release-1.11/dev/table/functions/systemFunctions.html#string-functions)<br/> [Flink1.12](https://nightlies.apache.org/flink/flink-docs-release-1.12/dev/table/functions/systemFunctions.html#string-functions)<br/> [Flink1.13](https://nightlies.apache.org/flink/flink-docs-release-1.13/docs/dev/table/functions/systemfunctions/#string-functions)<br/> [Flink1.14](https://nightlies.apache.org/flink/flink-docs-release-1.14/docs/dev/table/functions/systemfunctions/#string-functions)<br/>  [Flink1.15](https://nightlies.apache.org/flink/flink-docs-release-1.15/docs/dev/table/functions/systemfunctions/#string-functions) |
|    时间函数     | [Flink1.11](https://nightlies.apache.org/flink/flink-docs-release-1.11/dev/table/functions/systemFunctions.html#temporal-functions)<br/> [Flink1.12](https://nightlies.apache.org/flink/flink-docs-release-1.12/dev/table/functions/systemFunctions.html#temporal-functions)<br/> [Flink1.13](https://nightlies.apache.org/flink/flink-docs-release-1.13/docs/dev/table/functions/systemfunctions/#temporal-functions)<br/> [Flink1.14](https://nightlies.apache.org/flink/flink-docs-release-1.14/docs/dev/table/functions/systemfunctions/#temporal-functions)<br/>  [Flink1.15](https://nightlies.apache.org/flink/flink-docs-release-1.15/docs/dev/table/functions/systemfunctions/#temporal-functions) |
|    条件函数     | [Flink1.11](https://nightlies.apache.org/flink/flink-docs-release-1.11/dev/table/functions/systemFunctions.html#conditional-functions)<br/> [Flink1.12](https://nightlies.apache.org/flink/flink-docs-release-1.12/dev/table/functions/systemFunctions.html#conditional-functions)<br/> [Flink1.13](https://nightlies.apache.org/flink/flink-docs-release-1.13/docs/dev/table/functions/systemfunctions/#conditional-functions)<br/> [Flink1.14](https://nightlies.apache.org/flink/flink-docs-release-1.14/docs/dev/table/functions/systemfunctions/#conditional-functions)<br/> [Flink1.15](https://nightlies.apache.org/flink/flink-docs-release-1.15/docs/dev/table/functions/systemfunctions/#conditional-functions) |
|  类型转换函数   | [Flink1.11](https://nightlies.apache.org/flink/flink-docs-release-1.11/dev/table/functions/systemFunctions.html#type-conversion-functions)<br/> [Flink1.12](https://nightlies.apache.org/flink/flink-docs-release-1.12/dev/table/functions/systemFunctions.html#type-conversion-functions)<br/> [Flink1.13](https://nightlies.apache.org/flink/flink-docs-release-1.13/docs/dev/table/functions/systemfunctions/#type-conversion-functions)<br/> [Flink1.14](https://nightlies.apache.org/flink/flink-docs-release-1.14/docs/dev/table/functions/systemfunctions/#type-conversion-functions)<br/>  [Flink1.15](https://nightlies.apache.org/flink/flink-docs-release-1.15/docs/dev/table/functions/systemfunctions/#type-conversion-functions) |
| Collection 函数 | [Flink1.11](https://nightlies.apache.org/flink/flink-docs-release-1.11/dev/table/functions/systemFunctions.html#collection-functions)<br/> [Flink1.12](https://nightlies.apache.org/flink/flink-docs-release-1.12/dev/table/functions/systemFunctions.html#collection-functions)<br/> [Flink1.13](https://nightlies.apache.org/flink/flink-docs-release-1.13/docs/dev/table/functions/systemfunctions/#collection-functions)<br/> [Flink1.14](https://nightlies.apache.org/flink/flink-docs-release-1.14/docs/dev/table/functions/systemfunctions/#collection-functions)<br/>  [Flink1.15](https://nightlies.apache.org/flink/flink-docs-release-1.15/docs/dev/table/functions/systemfunctions/#collection-functions) |
|    Json 函数    | Flink1.11 不支持<br/> Flink1.12 不支持<br/> [Flink1.13](https://nightlies.apache.org/flink/flink-docs-release-1.13/docs/dev/table/functions/systemfunctions/#json-functions)<br/> [Flink1.14](https://nightlies.apache.org/flink/flink-docs-release-1.14/docs/dev/table/functions/systemfunctions/#json-functions)<br/> [Flink1.15](https://nightlies.apache.org/flink/flink-docs-release-1.15/docs/dev/table/functions/systemfunctions/#json-functions) |
| Value 构造函数  | [Flink1.11](https://nightlies.apache.org/flink/flink-docs-release-1.11/dev/table/functions/systemFunctions.html#value-construction-functions)<br/> [Flink1.12](https://nightlies.apache.org/flink/flink-docs-release-1.12/dev/table/functions/systemFunctions.html#value-construction-functions)<br/> [Flink1.13](https://nightlies.apache.org/flink/flink-docs-release-1.13/docs/dev/table/functions/systemfunctions/#value-construction-functions)<br/> [Flink1.14](https://nightlies.apache.org/flink/flink-docs-release-1.14/docs/dev/table/functions/systemfunctions/#value-construction-functions)<br/> [Flink1.15](https://nightlies.apache.org/flink/flink-docs-release-1.15/docs/dev/table/functions/systemfunctions/#value-construction-functions) |
| Value 取向函数  | [Flink1.11](https://nightlies.apache.org/flink/flink-docs-release-1.11/dev/table/functions/systemFunctions.html#value-access-functions)<br/> [Flink1.12](https://nightlies.apache.org/flink/flink-docs-release-1.12/dev/table/functions/systemFunctions.html#value-access-functions)<br/> [Flink1.13](https://nightlies.apache.org/flink/flink-docs-release-1.13/docs/dev/table/functions/systemfunctions/#value-access-functions)<br/> [Flink1.14](https://nightlies.apache.org/flink/flink-docs-release-1.14/docs/dev/table/functions/systemfunctions/#value-access-functions)<br/> [Flink1.15](https://nightlies.apache.org/flink/flink-docs-release-1.15/docs/dev/table/functions/systemfunctions/#value-access-functions) |
|  Grouping 函数  | [Flink1.11](https://nightlies.apache.org/flink/flink-docs-release-1.11/dev/table/functions/systemFunctions.html#grouping-functions)<br/> [Flink1.12](https://nightlies.apache.org/flink/flink-docs-release-1.12/dev/table/functions/systemFunctions.html#grouping-functions)<br/> [Flink1.13](https://nightlies.apache.org/flink/flink-docs-release-1.13/docs/dev/table/functions/systemfunctions/#grouping-functions)<br/> [Flink1.14](https://nightlies.apache.org/flink/flink-docs-release-1.14/docs/dev/table/functions/systemfunctions/#grouping-functions)<br/>  [Flink1.15](https://nightlies.apache.org/flink/flink-docs-release-1.15/docs/dev/table/functions/systemfunctions/#grouping-functions) |
|    Hash 函数    | [Flink1.11](https://nightlies.apache.org/flink/flink-docs-release-1.11/dev/table/functions/systemFunctions.html#hash-functions)<br/> [Flink1.12](https://nightlies.apache.org/flink/flink-docs-release-1.12/dev/table/functions/systemFunctions.html#hash-functions)<br/> [Flink1.13](https://nightlies.apache.org/flink/flink-docs-release-1.13/docs/dev/table/functions/systemfunctions/#hash-functions)<br/> [Flink1.14](https://nightlies.apache.org/flink/flink-docs-release-1.14/docs/dev/table/functions/systemfunctions/#hash-functions)<br/> [Flink1.15](https://nightlies.apache.org/flink/flink-docs-release-1.15/docs/dev/table/functions/systemfunctions/#hash-functions) |
| Auxiliary 函数  | [Flink1.11](https://nightlies.apache.org/flink/flink-docs-release-1.11/dev/table/functions/systemFunctions.html#auxiliary-functions)<br/> [Flink1.12](https://nightlies.apache.org/flink/flink-docs-release-1.12/dev/table/functions/systemFunctions.html#auxiliary-functions)<br/> [Flink1.13](https://nightlies.apache.org/flink/flink-docs-release-1.13/docs/dev/table/functions/systemfunctions/#auxiliary-functions)<br/> [Flink1.14](https://nightlies.apache.org/flink/flink-docs-release-1.14/docs/dev/table/functions/systemfunctions/#auxiliary-functions)<br/>  [Flink1.15](https://nightlies.apache.org/flink/flink-docs-release-1.15/docs/dev/table/functions/systemfunctions/#auxiliary-functions) |
|    聚合函数     | [Flink1.11](https://nightlies.apache.org/flink/flink-docs-release-1.11/dev/table/functions/systemFunctions.html#aggregate-functions)<br/> [Flink1.12](https://nightlies.apache.org/flink/flink-docs-release-1.12/dev/table/functions/systemFunctions.html#aggregate-functions)<br/> [Flink1.13](https://nightlies.apache.org/flink/flink-docs-release-1.13/docs/dev/table/functions/systemfunctions/#aggregate-functions)<br/> [Flink1.14](https://nightlies.apache.org/flink/flink-docs-release-1.14/docs/dev/table/functions/systemfunctions/#aggregate-functions)<br/> [Flink1.15](https://nightlies.apache.org/flink/flink-docs-release-1.15/docs/dev/table/functions/systemfunctions/#aggregate-functions) |

